Gentoo Archives: gentoo-user-br

From: Dalton Barreto <daltonmatos@×××××.com>
To: gentoo-user-br@l.g.o
Subject: Re: [gentoo-user-br] dropbox-nautilus
Date: Thu, 28 Apr 2011 19:16:24
Message-Id: BANLkTikc3iZK3-afe_nGGQ=shibHSSP17A@mail.gmail.com
In Reply to: Re: [gentoo-user-br] dropbox-nautilus by Igor Miranda
Em 28 de abril de 2011 16:01, Igor Miranda <miranda.igor@×××××.com> escreveu:

> > Dalton, > Acho que o problema ta ai mesmo > mms ~ # python > Python 3.1.3 (r313:86834, Apr  3 2011, 15:55:23) > [GCC 4.4.5] on linux2 > Type "help", "copyright", "credits" or "license" for more information. >>>> import pygtk > Traceback (most recent call last): >   File "<stdin>", line 1, in <module> > ImportError: No module named pygtk >>>> pygtk.require('2.0') > Traceback (most recent call last): >   File "<stdin>", line 1, in <module> > NameError: name 'pygtk' is not defined >>>> import gtk > Traceback (most recent call last): >   File "<stdin>", line 1, in <module> > ImportError: No module named gtk >>>> >
Como o Leonardo disse, um python-updater pode resolver. Confira também a versão do python que está como default aí. Vai saber se as libs que você precisa ainda não foram portadas pra py3 por exemplo e por isso os módulos não estão sendo encontrados. Eu concordo com o que o André disse. Tente setar a versão do python para 2.6 ou 2.7 e rode depois o python-updater. Veja se assim os módulos "aparecem". =) -- Dalton Barreto http://daltonmatos.wordpress.com http://wsgid.com